.loading-widget {position: relative;text-align: center;width: 100%;min-height: 200px;display: flex;justify-content: center;align-items: center;}
.loading-widget.fullscreen { position: fixed; top: 0; left: 0; width: 100vw; height: 100vh; background-color: rgba(255, 255, 255, 0.9); z-index: 9999; }
.loading-widget.overlay { position: absolute; top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(255, 255, 255, 0.9); z-index: 99; }
.loading-widget .loading_line{font-size: 0;display: flex;flex-wrap: nowrap;justify-content: center;align-items: flex-end;gap: 10px;height: 80px;}
.loading-widget .loading_line .line {display: inline-block;width: 20px;height: 35%;border-radius: 4px;background-color: #d3e0fe;}
.loading-widget .loading_line .line:nth-last-child(1) {animation: loadingA 1.5s 1s infinite;}
.loading-widget .loading_line .line:nth-last-child(2) {animation: loadingA 1.5s 0.5s infinite;}
.loading-widget .loading_line .line:nth-last-child(3) {animation: loadingA 1.5s 0s infinite;}
.loading-widget .text {font-size: 18px;color: #0a47ad;margin-top: 22px;}
@keyframes loadingA { 0 { height: 35%; } 50% { height: 100%; } 100% { height: 35%; } }
@media screen and (max-width:768px) {
    .loading-widget .loading_line{height: 75px;}
    .loading-widget .loading_line .line{width: 16px;}
    .loading-widget .text{font-size: 14px;margin-top: 15px;}
}